> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jsonsilo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Silo

> API endpoint to create a new silo



## OpenAPI

````yaml POST /api/v1/manage/
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.jsonsilo.com
  - url: https://sg-01-api.jsonsilo.com
  - url: https://usc-01-api.jsonsilo.com
security: []
paths:
  /api/v1/manage/:
    post:
      tags:
        - Manage
      summary: Create Silo
      description: API endpoint to create a new silo
      operationId: manage_new_jsonfile_api_v1_manage_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JsonFilesBase'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  file_uuid:
                    type: string
                    format: uuid
                    description: >-
                      The Silo UUID, comprising 32 hexadecimal digits separated
                      by 4 hyphens, totaling 36 characters.
                  is_public:
                    type: boolean
                    example: false
                    description: >-
                      Silo access mode. If `true`, the silo is public; if
                      `false`, the silo is private.
                  file_name:
                    type: string
                    example: new db
                    description: >-
                      Silo name. The silo name will not affect development or
                      any sensitive aspects.
                  region_name:
                    type: string
                    example: api
                    description: The region where your data will be stored.
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forbidden'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - silo_api_key: []
components:
  schemas:
    JsonFilesBase:
      properties:
        file_name:
          type: string
          description: >-
            Choose a name for your silo that is easy to remember and understand.
            Rest assured, the silo name will not affect development or any
            sensitive aspects.
          title: File Name
        file_data:
          anyOf:
            - items: {}
              type: array
            - type: object
          description: >-
            The data you want to store in the silo. It can be a JSON `object` or
            an `array of objects`.
          title: File Data
        region_name:
          type: string
          title: Region Name
          enum:
            - api
            - sg-01-api
            - usc-01-api
          default: api
          description: >-
            Choose the region where you want to store your data. The default
            region is `api`.
        is_public:
          type: boolean
          title: Is Public
          default: false
          description: >-
            Silo access mode. If `true`, the silo is public; if `false`, the
            silo is private.
      type: object
      title: JsonFilesBase
    Forbidden:
      type: object
      properties:
        detail:
          type: string
          title: Detail
      title: Forbidden
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    silo_api_key:
      type: apiKey
      description: The JSONSilo Manage API Key
      in: header
      name: X-MAN-API

````